#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private DeltaScalper[] cacheDeltaScalper;

		
		public DeltaScalper DeltaScalper(double positiveThresholdRatio, int negativeThresholdRatio, int signalDisplacement, int lookBackBars, bool checkMinMax, int signalBoxHeight, int signalBoxWidth, int signalBoxOpacity)
		{
			return DeltaScalper(Input, positiveThresholdRatio, negativeThresholdRatio, signalDisplacement, lookBackBars, checkMinMax, signalBoxHeight, signalBoxWidth, signalBoxOpacity);
		}


		
		public DeltaScalper DeltaScalper(ISeries<double> input, double positiveThresholdRatio, int negativeThresholdRatio, int signalDisplacement, int lookBackBars, bool checkMinMax, int signalBoxHeight, int signalBoxWidth, int signalBoxOpacity)
		{
			if (cacheDeltaScalper != null)
				for (int idx = 0; idx < cacheDeltaScalper.Length; idx++)
					if (cacheDeltaScalper[idx].PositiveThresholdRatio == positiveThresholdRatio && cacheDeltaScalper[idx].NegativeThresholdRatio == negativeThresholdRatio && cacheDeltaScalper[idx].SignalDisplacement == signalDisplacement && cacheDeltaScalper[idx].LookBackBars == lookBackBars && cacheDeltaScalper[idx].CheckMinMax == checkMinMax && cacheDeltaScalper[idx].SignalBoxHeight == signalBoxHeight && cacheDeltaScalper[idx].SignalBoxWidth == signalBoxWidth && cacheDeltaScalper[idx].SignalBoxOpacity == signalBoxOpacity && cacheDeltaScalper[idx].EqualsInput(input))
						return cacheDeltaScalper[idx];
			return CacheIndicator<DeltaScalper>(new DeltaScalper(){ PositiveThresholdRatio = positiveThresholdRatio, NegativeThresholdRatio = negativeThresholdRatio, SignalDisplacement = signalDisplacement, LookBackBars = lookBackBars, CheckMinMax = checkMinMax, SignalBoxHeight = signalBoxHeight, SignalBoxWidth = signalBoxWidth, SignalBoxOpacity = signalBoxOpacity }, input, ref cacheDeltaScalper);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.DeltaScalper DeltaScalper(double positiveThresholdRatio, int negativeThresholdRatio, int signalDisplacement, int lookBackBars, bool checkMinMax, int signalBoxHeight, int signalBoxWidth, int signalBoxOpacity)
		{
			return indicator.DeltaScalper(Input, positiveThresholdRatio, negativeThresholdRatio, signalDisplacement, lookBackBars, checkMinMax, signalBoxHeight, signalBoxWidth, signalBoxOpacity);
		}


		
		public Indicators.DeltaScalper DeltaScalper(ISeries<double> input , double positiveThresholdRatio, int negativeThresholdRatio, int signalDisplacement, int lookBackBars, bool checkMinMax, int signalBoxHeight, int signalBoxWidth, int signalBoxOpacity)
		{
			return indicator.DeltaScalper(input, positiveThresholdRatio, negativeThresholdRatio, signalDisplacement, lookBackBars, checkMinMax, signalBoxHeight, signalBoxWidth, signalBoxOpacity);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.DeltaScalper DeltaScalper(double positiveThresholdRatio, int negativeThresholdRatio, int signalDisplacement, int lookBackBars, bool checkMinMax, int signalBoxHeight, int signalBoxWidth, int signalBoxOpacity)
		{
			return indicator.DeltaScalper(Input, positiveThresholdRatio, negativeThresholdRatio, signalDisplacement, lookBackBars, checkMinMax, signalBoxHeight, signalBoxWidth, signalBoxOpacity);
		}


		
		public Indicators.DeltaScalper DeltaScalper(ISeries<double> input , double positiveThresholdRatio, int negativeThresholdRatio, int signalDisplacement, int lookBackBars, bool checkMinMax, int signalBoxHeight, int signalBoxWidth, int signalBoxOpacity)
		{
			return indicator.DeltaScalper(input, positiveThresholdRatio, negativeThresholdRatio, signalDisplacement, lookBackBars, checkMinMax, signalBoxHeight, signalBoxWidth, signalBoxOpacity);
		}

	}
}

#endregion
